
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>产品展示_<%=TD_home%></title>
<meta name="keywords" content="<%=Yifan_BigClass_key%>" />
<meta name="description" content="<%=Yifan_BigClass_des%>" />
</head>
<!--#include file="css_js.html" -->
<body>
<script src="/skins/images/js/title.js" charset="gb2312"></script>

<div class="box">
  
  <div class="div">
  
  <div class="lm2">
      <div class="fl">
        <h2><span class="fs22">产品中心 </span><span class="fs14">PRODUCTS</span></h2>
        <p class="fs13"></p>
      </div>
      <div class="fr"><span class="crumbleft"><b>当前位置：</b><a href="<%=TD_url%>">首页</a> → <a href="/allProducts/?1-1.html">产品中心</a></span></div>
    </div>
    
    <div class="bg_box">
      <div id="listbox" class="list_containers">
				<div  style="clear:both"></div><div class="mainNextPage" id="showNextPage"></div>
				<ul id="mainlistUL">
				
                  
				 <%
BigClassID=ad
SmallClassID=b
if  not isnumeric(BigClassID)  or not isnumeric(SmallClassID) then
Response.Write "<script>alert('警告！请勿尝试注入！');history.go(-1);</script>" 
Response.End()
end if
set rs=server.createobject("adodb.recordset") 
if BigClassID="" then
exec="select * from products order by id desc"
end if
if BigClassID<>"" then
exec="select * from products order by id desc"
end if
rs.open exec,conn,1,1
if rs.eof then
response.Write "&nbsp;暂无产品！"
else
rs.PageSize =""&TD_productsclass&"" '每页记录条数
iCount=rs.RecordCount '记录总数
iPageSize=rs.PageSize
maxpage=rs.PageCount 
page=b
if Not IsNumeric(page) or page="" then
page=1
else
page=cint(page)
end if
if page<1 then
page=1
elseif  page>maxpage then
page=maxpage
end if
rs.AbsolutePage=Page
if page=maxpage then
x=iCount-(maxpage-1)*iPageSize
else
x=iPageSize
end if
end if	
%>
<%For i=1 To x%> 

<dl class="new_list2">
        <dt><a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>"><img src="<%=rs("img")%>" width="120" height="100" border="0"/></a></dt>
        <dd>
          <h2><a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>"><%=i5808(rs("title"),30)%></a></h2>
          <p><%=i5808(rs("body"),200)%></p>
          <div><ul class="new_info"><li><em class="oldDate"><%=year(rs("data"))&"-"&month(rs("data"))&"-"&day(rs("data"))%></em></li></ul></div>
        </dd>
      </dl>

<%rs.movenext
next
%> 
        
				</ul>
			</div>
			
      
          
      
      <div class="cl"></div>
<div class="mainNextPage" id="NextPageText">

 <%'以下显示分页
 call PageControl(iCount,maxpage,page,"border=0 align=center","<p align=center>")
rs.close
set rs=nothing
%>
</div>

    </div>
    
    
    
    
  </div>
</div>



 <!--#include file="foot.html" -->
</body>
</html>
